<?php

//Adatbázis segédfüggvények
function tabla_init($fajlnev, $tablanev, $create_sql) {
	$db = adatbazis_nyit($fajlnev);

	$siker = true;
	$result = sqlite_query($db, 
		"SELECT name FROM sqlite_master WHERE type='table' AND name='{$tablanev}'");
	if (sqlite_num_rows($result) == 0) {
		$siker = sqlite_exec($db, $create_sql);
	}

	adatbazis_zar($db);

	return $siker;
}

function adatbazis_nyit($fajlnev) {
	$db = sqlite_open($fajlnev, 0666, $sqliteerror);
	if (!$db) {
		die($sqliteerror);
	}
	return $db;
}

function adatbazis_zar($db) {
	sqlite_close($db);
}

function lekerdezes_tombbe($sql) {
	$db = adatbazis_nyit('filmek.sqlite');
	$ered = sqlite_array_query($db, $sql, SQLITE_ASSOC);
	adatbazis_zar($db);
	return $ered;
}

function film_beszur($cim, $rendezo, $ev) {
	$cim = sqlite_escape_string($cim);
	$rendezo = sqlite_escape_string($rendezo);
	$ev = sqlite_escape_string($ev);

	$db = adatbazis_nyit('filmek.sqlite');
	$result = sqlite_exec($db, 
		"insert into filmek (id, cim, rendezo, ev) values (
			null,
			'{$cim}',
			'{$rendezo}',
			'{$ev}'
		 )");
	adatbazis_zar($db);
	return $result;
}
tabla_init('filmek.sqlite', 'filmek', $filmek_create_sql);

//-----------------------------------------------------

$hibak = array();
$cim = '';
$rendezo = '';
$ev = '';

if ($_POST) {
	$cim = $_POST['cim'];
	$rendezo = $_POST['rendezo'];
	$ev = $_POST['ev'];

	if ($cim == '') {
		$hibak[] = 'Cím kötelező!';
	}
	if ($rendezo == '') {
		$hibak[] = 'Rendező kötelező!';
	}
	if (!is_numeric($ev) || strlen($ev) != 4) {
		$hibak[] = 'Rossz évszám!';
	}

	if (!$hibak) {
		if (film_beszur($cim, $rendezo, $ev)) {
			header('Location: lista_ab.php');
		};
	}
}

//---------------------------------------------------------
?>
<!doctype html>
<html>
	<meta charset="utf-8">
	<head>
		<title></title>
	</head>
	<body>
		<h1>Új film</h1>
		<?php if ($hibak) : ?>
		<ul>
			<?php foreach ($hibak as $hiba) : ?>
			<li><?php echo $hiba; ?></li>
			<?php endforeach; ?>
		</ul>
		<?php endif; ?>
		<form action="" method="post">
			Cím: <br>
			<input type="text" name="cim" value="<?php echo $cim; ?>"> <br>
			Rendező: <br>
			<input type="text" name="rendezo" value="<?php echo $rendezo; ?>"> <br>
			Év: <br>
			<input type="text" name="ev" value="<?php echo $ev; ?>"> <br>
			<input type="submit">
		</form>
	</body>
</html>
